[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'types' (#rtl)

# TPoint

Point in a plane

## Declaration

Source position: types.pp line 75

`type TPoint = packed record`
`X: LongInt;` |  | Horizontal position
`Y: LongInt;` |  | Vertical position
`end;`

## Description

TPoint is a generic definition of a point in a 2-dimensional discrete plane, where X indicates the horizontal position, and Y the vertical position (positions usually measured in pixels), and 0,0 is the origin of the plane.

Usually, the origin is the upper-left corner of the screen, with Y increasing as one moves further down the screen - this is opposite to the mathematical view where Y increases as one moves upwards.

The coordinates are integers, (32-bit, signed) so the coordinate system runs from -MaxInt to MaxInt.

## See also

TRect |  | Rectangle in a plane
TSize |  | Area size

Documentation generated on: Feb 26 2014